import { useModel } from '@zjxpcyc/vue-tiny-store'

const shiro = {
  install: (app, options) => {
    const { permissions, getPermission } = useModel('shiro')

    const removeNode = el => el.parentNode.removeChild(el)

    app.directive('shiro', (el, binding) => {
      const permission = permissions[binding.value]
      if (typeof permission !== 'boolean') {
        getPermission(props.name).then(x => {
          if (!x) {
            removeNode(el)
          }
        })
      } else {
        if (!permission) {
          removeNode(el)
        }
      }
    })
  }
}

export default shiro
